# Generated from bcome-2.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bcome

Name: rubygem-%{gem_name}
Version: 2.0.1
Release: 1%{?dist}
Summary: The DevOps Control Panel Framework
License: Nonstandard
URL: https://bcome.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
BuildArch: noarch

%description
Generate custom management interfaces from simple configuration and Ruby code.
On-premise, cloud, hybrid & multi-cloud. Amazon AWS (EC2) & Google Cloud (GCP)
integration with more cloud providers coming. Fully extensible. Free for
commercial and non-commercial use.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/bcome
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/patches
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Sun Sep 12 2021 mockbuilder - 2.0.1-1
- Initial package
